Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class StdoutProgressListener

    java.lang.Object
      |
      +--com.sun.jimi.core.util.StdoutProgressListener

public class StdoutProgressListener
extends java.lang.Object
implements ProgressListener

Constructor Summary
`StdoutProgressListener()`

Method Summary
`void` | `setAbort()` Indicate that the operation has been aborted.
`void` | `setAbort(java.lang.String reason)` Indicate that the operation has been aborted.
`void` | `setFinished()` Indicate that the task being monitored has completed.
`void` | `setProgressLevel(int progress)` Set the progress-level as a percentage.
`void` | `setStarted()` Indicate that the task being monitored has begun.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdoutProgressListener

    public StdoutProgressListener()

Method Detail

### setStarted

    public void setStarted()

  Indicate that the task being monitored has begun.
  Specified by:
    setStarted in interface ProgressListener

### setProgressLevel

    public void setProgressLevel(int progress)

  Set the progress-level as a percentage.
  Specified by:
    setProgressLevel in interface ProgressListener
  Parameters:
    `progress` - a number between 0 and 100 representing the current level of progress

### setFinished

    public void setFinished()

  Indicate that the task being monitored has completed.
  Specified by:
    setFinished in interface ProgressListener

### setAbort

    public void setAbort()

  Indicate that the operation has been aborted.
  Specified by:
    setAbort in interface ProgressListener

### setAbort

    public void setAbort(java.lang.String reason)

  Indicate that the operation has been aborted.
  Specified by:
    setAbort in interface ProgressListener
  Parameters:
    `reason` - the reason the operation was aborted

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD